Skip Menu |
 

This queue is for tickets about the DBD-SQLite CPAN distribution.

Report information
The Basics
Id: 7192
Status: resolved
Priority: 0/
Queue: DBD-SQLite

People
Owner: Nobody in particular
Requestors: helphand [...] pacbell.net
Cc:
AdminCc:

Bug Information
Severity: Normal
Broken in: 1.00
Fixed in: (no value)



Subject: v 1.00 Fails to Make on SuSE 64 bit
Download (untitled) / with headers
text/plain 1.8k
helphand@helphand:~/DBD-SQLite-1.00> uname -a Linux helphand 2.6.5-7.95-default #1 Thu Jul 1 15:23:45 UTC 2004 x86_64 x86_64 x86_64 GNU/Linux helphand@helphand:~/DBD-SQLite-1.00> perl Makefile.PL Your version of DBD::SQLite currently installed (0.31) uses the old sqlite database format. This version of DBD::SQLite will *NOT* open these files, and installing this module may cause problems on your system. If this is a live environment you should upgrade with caution. Continue? [N] Y Checking if your kit is complete... Looks good Using DBI 1.41 (for perl 5.008003 on x86_64-linux-thread-multi) installed in /usr/lib/perl5/vendor_perl/5.8.3/x86_64-linux-thread-multi/auto/DBI Writing Makefile for DBD::SQLite helphand@helphand:~/DBD-SQLite-1.00> make cp getsqlite.pl blib/lib/DBD/getsqlite.pl cp lib/DBD/SQLite.pm blib/lib/DBD/SQLite.pm /usr/bin/perl -p -e "s/~DRIVER~/SQLite/g" /usr/lib/perl5/vendor_perl/5.8.3/x86_64-linux-thread-multi/auto/DBI/Driver.xst > SQLite.xsi /usr/bin/perl /usr/lib/perl5/5.8.3/ExtUtils/xsubpp -typemap /usr/lib/perl5/5.8.3/ExtUtils/typemap SQLite.xs > SQLite.xsc && mv SQLite.xsc SQLite.c cc -c -I/usr/lib/perl5/vendor_perl/5.8.3/x86_64-linux-thread-multi/auto/DBI -D_REENTRANT -D_GNU_SOURCE -DTHREADS_HAVE_PIDS -fno-strict-aliasing -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -O2 -DNDEBUG=1 -DSQLITE_PTR_SZ=8 -DVERSION=\"1.00\" -DXS_VERSION=\"1.00\" -fPIC "-I/usr/lib/perl5/5.8.3/x86_64-linux-thread-multi/CORE" SQLite.c In file included from dbdimp.h:7, from SQLiteXS.h:10, from SQLite.xs:3: sqliteInt.h:125: error: parse error before "uptr" sqliteInt.h:125: warning: data definition has no type or storage class SQLite.xsi: In function `XS_DBD__SQLite__db_last_insert_id': SQLite.xsi:238: warning: passing arg 2 of `sqlite_db_last_insert_id' from incompatible pointer type make: *** [SQLite.o] Error 1 helphand@helphand:~/DBD-SQLite-1.00>


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.